#ifndef MCU1007P_H
#define MCU1007P_H

/*˵:
[2010.4.26]
  1 ǰСxͷļĴʾҪdptr;
  2 ASM: ûʹõǻ,ӦASMΪ1,#define	ASM 1, CӦʹASMΪ1;
  3 EXSFR: EXSFRΪ1,չļĴ;
*/

#define	ASM 0			// =1,ûǻ
#define	EXSFR 0			// =1,ʾʹչĴ

/*  BYTE Register  */

sfr P0   	= 0x80;
sfr P1   	= 0x90;
sfr P2   	= 0xA0;
sfr P3   	= 0xB0;
sfr PSW  	= 0xD0;
sfr ACC  	= 0xE0;
sfr B    	= 0xF0;
sfr SP   	= 0x81;
sfr DPL  	= 0x82;
sfr DPH  	= 0x83;
sfr PCON 	= 0x87;
sfr TCON 	= 0x88;
sfr TMOD 	= 0x89;
sfr TL0  	= 0x8A;
sfr TL1  	= 0x8B;
sfr TH0  	= 0x8C;
sfr TH1  	= 0x8D;
sfr IE   	= 0xA8;
sfr IP   	= 0xB8;

/*  BIT Register  */

/*	P0    */
sbit	P00 = P0^0;
sbit	P01 = P0^1;
sbit	P02 = P0^2;
sbit	P03 = P0^3;
sbit	P04 = P0^4;
sbit	P05 = P0^5;
sbit	P06 = P0^6;
sbit	P07 = P0^7;

/*	P1    */
sbit	P10 = P1^0;
sbit	P11 = P1^1;
sbit	P12 = P1^2;
sbit	P13 = P1^3;
sbit	P14 = P1^4;
sbit	P15 = P1^5;
sbit	P16 = P1^6;
sbit	P17 = P1^7;

/*	P2    */
sbit	P20 = P2^0;
sbit	P21 = P2^1;
sbit	P22 = P2^2;
sbit	P23 = P2^3;
sbit	P24 = P2^4;
sbit	P25 = P2^5;
sbit	P26 = P2^6;
sbit	P27 = P2^7;

/*	P3    */
sbit	P30 = P3^0;
sbit	P31 = P3^1;
sbit	P32 = P3^2;
sbit	P33 = P3^3;
sbit	P34 = P3^4;
sbit	P35 = P3^5;
sbit	P36 = P3^6;
sbit	P37 = P3^7;

/*  PSW   */
sbit CY   = 0xD7;
sbit AC   = 0xD6;
sbit F0   = 0xD5;
sbit RS1  = 0xD4;
sbit RS0  = 0xD3;
sbit OV   = 0xD2;
sbit P    = 0xD0;

/*  TCON  */
sbit TF1  = 0x8F;
sbit TR1  = 0x8E;
sbit TF0  = 0x8D;
sbit TR0  = 0x8C;
sbit IE1  = 0x8B;
sbit IT1  = 0x8A;
sbit IE0  = 0x89;
sbit IT0  = 0x88;

/*  IE   */
sbit EA   = 0xAF;
sbit ET2  = 0xAD;
sbit ES   = 0xAC;
sbit ET1  = 0xAB;
sbit EX1  = 0xAA;
sbit ET0  = 0xA9;
sbit EX0  = 0xA8;

/*  IP   */ 
sbit PT2  = 0xBD;
sbit PS   = 0xBC;
sbit PT1  = 0xBB;
sbit PX1  = 0xBA;
sbit PT0  = 0xB9;
sbit PX0  = 0xB8;

/*  P3  */
sbit RD   = 0xB7;
sbit WR   = 0xB6;
sbit T1   = 0xB5;
sbit T0   = 0xB4;
sbit INT1 = 0xB3;
sbit INT0 = 0xB2;
sbit TXD  = 0xB1;
sbit RXD  = 0xB0;

/*  SCON  */
sbit SM0  = 0x9E;
sbit SM1  = 0x9F;
sbit SM2  = 0x9D;
sbit REN  = 0x9C;
sbit TB8  = 0x9B;
sbit RB8  = 0x9A;
sbit TI   = 0x99;
sbit RI   = 0x98;

//WDT
sfr WDTCON  = 0xBD;	// WDT Ƶ
sfr WDTCLR0	= 0x84;	// WDT0
sfr WDTCLR1	= 0xEB;	// WDT0

//MOVXRH
sfr MOVXRH = 0xA1;
sfr	AUXR1 = 0xA2;		// ˫DPTRл,INC AUXR1ʵ

//IOPortĴ
sfr	P0MDL	= 0xEC;	//P0.0~P0.3 IOģʽƣ00:ʩ룬01룬1011©
sfr	P0MDH	= 0xFC;	//P0.4~P0.7
			
sfr	P1MDL	= 0xED;	//P1.0~P1.3
sfr	P1MDH	= 0xFD;	//P1.4~P1.7

sfr	P2MDL	= 0xEE;	//P2.0~P2.3

sfr	P3MDL	= 0xEF;	//P3.0~P3.3

//жչĴ
sfr	EIE1	= 0xA9;	//ж
sfr	EIP1	= 0xB9;	//жȼ
sfr	EIE2	= 0xAA;	//ж
sfr	EIP2	= 0xBA;	//жȼ
sfr EINTCS0	= 0xAC;	// ⲿжϿ״̬Ĵ

//LVR
sfr	LVRCON	= 0xA6;		// ѹλѹãEnable

//λ
sfr RSTSRC = 0xA7;      // λ־

//ϵͳʱ
sfr WPKEY   = 0x95;
sfr MCKSET  = 0x91;

//----------------------------------------------------------------------------------------------------------------------------
#if	ASM ==1
xSYSCFG			EQU	0FFA2H		// ʱ
xTESTCON		EQU	0FFAFH		// ԿƼĴԽ,LVR_TE,SysRst_TE,CKOS[1:0],CKTE
xTIMPRS			EQU	0FFCAH		// TimerԤƵƼĴ
xSTOPCFG		EQU 0FFA0H
#else
#define xSYSCFG		(*(volatile unsigned char xdata *)0xFFA2)		//ʱ
#define xTESTCON	(*(volatile unsigned char xdata *)0xFFAF)		//ԿƼĴԽ,LVR_TE,SysRst_TE,CKOS[1:0],CKTE
#define xTIMPRS		(*(volatile unsigned char xdata *)0xFFCA)		// TimerԤƵƼĴ
#define xSTOPCFG    (*(volatile unsigned char xdata *)0xFFA0)
#endif


//----------------------------------------------------------------------------------------------------------------------------
#if	ASM == 1
xKBICON			EQU	0FFAAH	//öӦP1[7:0]Ϊ
xKBIWKP         EQU	0FFABH  	//KBIѼüĴ
#else
#define	xKBICON		(*(volatile unsigned char xdata *)0xFFAA)		//öӦP1[7:0]Ϊ
#define	xKBIWKP		(*(volatile unsigned char xdata *)0xFFAB)		//KBIѼüĴ
#endif

sfr KBIFLG = 0x9E;

//زTimerӿڼĴ
sfr	CRGCON1			= 0xE1;			//زʱƣCRTEN,CRTMODE,CRTEXEN,CRTOVEN,REMSYN,REMOPS,CRTEXF,CRTF
sfr	CRGCON2			= 0xE2;			//زʱƵϵCRTCKD3,CRTCKD2,CRTCKD1,CRTCKD0
sfr	CRGCNT			= 0xE3;			//زʱCRTCNT
sfr	CRGDATA0		= 0xE4;			//زʱֵCRTDATA0
sfr	CRGDATA1		= 0xE5;			//زʱֵCRTDATA1

//̬
#if	ASM == 1
xDKWCON		EQU	0FFDAH	
xDKWSELP0       EQU	0FFD0H 
xDKWSELP1       EQU	0FFD1H
xDKWSELP2       EQU	0FFD2H 
#else
#define	xDKWCON		(*(volatile unsigned char xdata *)0xFFDA)		
#define	xDKWSELP0	(*(volatile unsigned char xdata *)0xFFD0)
#define	xDKWSELP1	(*(volatile unsigned char xdata *)0xFFD1)
#define	xDKWSELP2	(*(volatile unsigned char xdata *)0xFFD2)
#endif

//----------------------------------------------------------------------------------------------------------------------------
#if	ASM == 1
xIOMUX0		EQU			0FFE0H			// I2C,--,CPOE,BUZEN,NBUZEN,WTIRQOE,PWMEN,--
#else
#define	xIOMUX0		(*(volatile unsigned char xdata *)0xFFE0)		// I2C,--,CPOE,BUZEN,NBUZEN,WTIRQOE,PWMEN,--
#endif

#endif